Subject: bug#59069: `guix shell -CN' failed to access GPU

From: Ludovic Courtès <[email-masked]>
Date: Thu, 10 Nov 2022 10:45:08 +0100

Hi,

dan <[email-masked]> skribis:

> I was trying to run some GUI software in a guix container, and would like to have GPU access in it.  However, I later found out that if I gave network access to the container, it seems like unable to properly find the GPU.  The following are the commands that I run and the output I got:

Could you check with strace what it’s trying to access, both with and
without ‘-N’?

  guix shell mesa-utils strace … -C -- strace -o /tmp/log.strace glxinfo

It might be a /dev node, or it might be simply talking to the X server,
which requires network access.

Thanks,
Ludo’.